%global momorel 3

Name: isight-firmware-tools
Version: 1.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://bersace03.free.fr/ift/
Group: Applications/System
Source: http://bersace03.free.fr/ift/%{name}-%{version}.tar.gz
Patch0: fix-libhaldir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary: Apple Built-In iSight Firmware Tools
BuildRequires:  gcc libusb-devel glib2-devel libgcrypt-devel intltool sed

%description
Apple Built-In iSight Firmware Tools.

%lang_package

%prep
%setup -q
%patch0 -p1 

%build
%configure

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
rm -rf %{buildroot}/usr/share/info/dir

%clean
%__rm -rf "%{buildroot}"

#%files lang -f %{name}.lang

%files
%defattr(-,root,root)
#%{_sysconfdir}/udev/rules.d/isight.rules
%{_bindir}/ift-export
%{_bindir}/ift-extract
%{_libdir}/hal/scripts/ift-callout
%{_datadir}/hal/fdi/preprobe/20thirdparty/50-isight-firmware.fdi
%{_datadir}/doc/isight-firmware-tools/HOWTO
%{_datadir}/info/ift-export.info.bz2
%{_datadir}/info/ift-extract.info.bz2
%{_datadir}/locale/*/LC_MESSAGES/isight-firmware-tools.mo
%{_datadir}/man/man1/ift-export.1.bz2
%{_datadir}/man/man1/ift-extract.1.bz2

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2-3m)
- rebuild against gcc43

* Thu Mar 27 2008 Masanobu Sato <satoshiga@momonga-linux-org>
- (1.2-2m)
- fix libhal dir for ift-callout

* Wed Mar 26 2008 Masanobu Sato <satoshiga@momonga-linux-org>
- (1.2-1m)
- version up

* Tue Mar 25 2008 Masanobu Sato <satoshiga@momonga-linux-org>
- (1.0.2-2m)
- add source

* Tue Mar 25 2008 Masanobu Sato <satoshiga@momonga-linux-org>
- (1.0.2-1m)
- initial build


